export declare enum CssUrl {
    inline = "inline",
    none = "none"
}
export declare enum InlineStyleLanguage {
    sass = "sass",
    scss = "scss",
    css = "css",
    less = "less"
}
export interface Result {
    css: string;
    warnings: string[];
    error?: string;
}
export declare class StylesheetProcessor {
    private readonly basePath;
    private readonly cssUrl?;
    private readonly styleIncludePaths?;
    private browserslistData;
    private targets;
    private postCssProcessor;
    constructor(basePath: string, cssUrl?: CssUrl, styleIncludePaths?: string[]);
    process({ filePath, content }: {
        filePath: string;
        content: string;
    }): Promise<string>;
    private createPostCssPlugins;
    private renderCss;
}
